import { http } from '@/utils/http'

const pre = import.meta.env.VITE_SERVER_BASEURL_PREFIX
const pre1 = import.meta.env.VITE_API_SECONDARY_URL_PREFIX
const pre2 = import.meta.env.VITE_API_THIRD_URL_PREFIX
/**
 * 获取枚举(1业务类型 2充值状态 3提现状态 4收益状态 5收益业务类型)
 * @returns
 */
export function getEnum(data: any) {
  return http.get<any>(`${pre1}/api/user/getEnum`, data)
}
/**
 * 获取地区
 * @returns
 */
export function divisionsTreeList(data: any) {
  return http.get<any>(`${pre2}/divisions/treeList`, data)
}
/**
 * 获取banner
 * @returns
 */
export function bannerList(data: any) {
  return http.post<any>(`${pre}/app/banner/list`, data)
}
/**
 * 获取通用配置 入参code
 * 开团红包收益结算推迟时间        red_envelope_settel_day_5001
 * 开团奖励佣金比例（%）        open_red_envelope_rate
 * 拼团奖励佣金比例（%）        join_red_envelope_rate
 *  提现利率（%）        withdraw_rate
 * 开团奖励佣金结算推迟时间（天）        red_envelope_settel_day_5002
 * 签到奖励佣金结算推迟时间（天）        red_envelope_settel_day_5003
 *  直推奖励佣金结算推迟时间（天）        red_envelope_settel_day_5006
 * 一级奖励佣金结算推迟时间        red_envelope_settel_day_5004
 * 二级奖励佣金结算推迟时间        red_envelope_settel_day_5005
 *  默认头像        default_avatar
 *  邀请好友奖励佣金金额        invited_amount
 * 签到奖励佣金金额        login_red_envelope_amount
 *  用户签到奖励        user_sign_info
 *  轮播图        banner
 * @returns
 */
export function getConfigByCode(data: any) {
  return http.get<any>(`${pre2}/config/getConfigByCode`, data)
}

// 获取通知公告列表
/**
说明                          名称                                      枚举值
订单通知_拼团支付成功            ORDER_GROUP_BUY_PAYMENT_SUCCESS          ORDER_GROUP_BUY_PAYMENT_SUCCESS
订单通知_订单拼团成功&抽中        ORDER_GROUP_BUY_SUCCESS_WIN              ORDER_GROUP_BUY_SUCCESS_WIN
订单通知_订单拼团成功&未抽中      ORDER_GROUP_BUY_SUCCESS_LOSE             ORDER_GROUP_BUY_SUCCESS_LOSE
订单通知_订单补充收货地址         ORDER_PROVIDE_SHIPPING_ADDRESS           ORDER_PROVIDE_SHIPPING_ADDRESS
订单通知_订单拼团失败            ORDER_GROUP_BUY_FAIL                     ORDER_GROUP_BUY_FAIL
订单通知_订单发货               ORDER_SHIPPED_SUCCESS                    ORDER_SHIPPED_SUCCESS
收益通知_邀请好友奖励            REWARD_REFER_FRIENDS                     REWARD_REFER_FRIENDS
收益通知_拼团/开团奖励           REWARD_GROUP_BUY                         REWARD_GROUP_BUY
收益通知_邀请好友奖励            REWARD_DIRECT_REFERRAL                   REWARD_DIRECT_REFERRAL
收益通知_签到奖励               REWARD_CHECKIN                           REWARD_CHECKIN
充值/提现通知_充值成功           MONEY_RECHARGE_SUCCESS                   MONEY_RECHARGE_SUCCESS
充值/提现通知_提现成功-收益       MONEY_WITHDRAWAL_ACCOUNT_SUCCESS         MONEY_WITHDRAWAL_ACCOUNT_SUCCESS
充值/提现通知_提现成功-钱包       MONEY_WITHDRAWAL_WALLET_SUCCESS          MONEY_WITHDRAWAL_WALLET_SUCCESS
充值/提现通知_提现失败           MONEY_WITHDRAWAL_FAIL                    MONEY_WITHDRAWAL_FAIL
其他                          OTHER                                    OTHER
 */
export function noticeList(data: any) {
  return http.get<any>(`${pre}/app/notice/page`, data)
}
// 获取通知公告未读条数
export function noticeUnread() {
  return http.get<any>(`${pre}/app/notice/unread`)
}

// 已读通知
export function noticeRead(id: number) {
  return http.put<any>(`${pre}/app/notice/read/${id}`)
}

// 全部通知已读
export function readAllNotice() {
  return http.get<any>(`${pre}/app/notice/readAll`)
}
// 删除通知
export function noticeDel(id: number) {
  return http.delete<any>(`${pre}/app/notice/delete/${id}`)
}

// 绑定registerID
export function bindUser(data: any) {
  return http.post<any>(`${pre}/app/jpush/bindUser`, data)
}

// 广告
export function advList(data: any) {
  return http.get<any>(`${pre}/app/adv/advList`, data)
}
